@font-face {
    font-family: 'tanha';
    src: url('../fonts/my-fonts/Tanha-FD.eot');
    src: url('../fonts/my-fonts/Tanha-FD.eot?#iefix') format('FontName-opentype'),
    url('../fonts/my-fonts/Tanha-FD.woff') format('woff'),
    url('../fonts/my-fonts/Tanha-FD.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'kalameh-normal';
    src: url('../fonts/Kalameh/KalamehWeb-Regular.woff2') format('woff2'),
    url('../fonts/Kalameh/KalamehWeb-Medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'kalameh-bold';
    src: url('../fonts/Kalameh/KalamehWeb-Bold.woff2') format('woff2'),
    url('../fonts/Kalameh/KalamehWeb-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
}

:root {
    --body-color: #ab7f5a !important; /* #ab7f5a */
    --body-color-light: #f4f5f9 !important;
    --body-text-color: #FFF !important;
    --my-hover-color: #1dc1f8;
    --text-color-price: #6fc341;
}

body,
html {
    padding: 0;
    margin: 0;
    font-size: 13px;
    direction: rtl;
    counter-reset: section my-number;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'tanha';
    box-sizing: border-box;
}

pre {
    text-wrap: wrap !important;
    font-family: 'tanha';
    font-size: 1.2rem !important;
}

ul {
    padding: 0;
    margin: 0;
}

input:focus {
    outline: none !important;
    box-shadow: none !important;
}

.my-focus:focus {
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
}

embed {
    max-width: 100%;
}

video {
    max-width: 100%;
    border-radius: 0.5rem;
}

/*----------------------my search index---------------------------*/
#search-card {
    width: 100%;
    max-height: 250px;
    overflow: auto;
}

#search-card .img-search-card img {
    width: 50px;
    height: 50px;
    border-radius: 0.5rem;
    object-fit: cover;
}

#search-card a.search-item {
    border-radius: 0.5rem;
}

#search-card a.search-item:hover {
    background-color: #ececec;
}

/*----------------------my video player---------------------------*/
.my-video-player embed {
    width: 100%;
    height: 470px;
    object-fit: cover;
    border-radius: 0.5rem;
}

/*----------------------my style---------------------------*/
.my-spinner {
    width: 25px;
    height: 25px;
    border: 3px solid var(--body-color);
    border-top-color: transparent;
    border-radius: 50%;
    animation: my-spinner 0.7s linear infinite;
}

@keyframes my-spinner {
    from {}
    to{
        transform: rotate(360deg);
    }

}

.my-rotate-360-1 {
    animation: rotaion-360-1 0.5s linear infinite;
}

.my-rotate-360-2 {
    animation: rotaion-360-2 0.5s linear infinite;
}

@keyframes rotaion-360-1 {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
@keyframes rotaion-360-2 {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

i.i-hover {
    transition: 0.2s ease-in;
    scale: 1;
    cursor: pointer;
}
i.i-hover:hover {
    scale: 1.1;
}

.cursor-point {
    cursor: pointer !important;
}

i {
    display: inline-flex !important;
    position: relative;
}

i.icon-hover {
    font-size: 2rem;
    transition: all 0.2s ease;
}

i.icon-hover:hover {
    font-size: 2.25rem;
}

.top-3 {
    top: 3px !important;
}

.top-5 {
    top: 5px !important;
}

.top-7 {
    top: 7px !important;
}

.top-10 {
    top: 10px !important;
}

.tanha-bold {
    font-family: 'tanha';
    font-weight: 700;
}

.icon-box {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.color-body-1 {
    background-color: var(--body-color) !important;
    color: var(--body-text-color) !important;
}

.border-color-body {
    border-color: var(--body-color) !important;
}

.color-body {
    color: var(--body-color) !important;
}

.bg-body-light {
    background-color: #f4f5f9;
}

.btn-success-2 {
    color: #FFF !important;
    background-color: #6fc341 !important;
}

.btn-success-2:hover {
    background-color: #549e2a !important;
}

.text-bg-light-1 {
    color: #444 !important;
    background-color: #f5f5f5 !important;
}

.border-b1 {
    border-bottom: 1px solid #eee !important;
}

.h-45px {
    height: 45px !important;
}

.my-hover a {
    color: #666 !important;
    transition: all 0.3s ease !important;
}

.my-hover a:hover {
    color: var(--my-hover-color) !important;
}

.my-hover a.active {
    color: var(--my-hover-color) !important;
}

.shadow-1 {
    box-shadow: rgba(67, 71, 85, 0.27) 0px 0px 0.25em, rgba(90, 125, 188, 0.05) 0px 0.25em 1em !important;
}

.shadow-2 {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px !important;
}

.shadow-3 {
    box-shadow: rgba(17, 17, 26, 0.05) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 0px 8px !important;
}

.shadow-4 {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px !important;
}

.shadow-5 {
    box-shadow: rgba(0, 0, 0, 0.6) 0px 0px 15px !important;
}

.counter-reset {
    counter-reset: section;
}

.border-dashed {
    margin: 0.5rem auto;
    border-radius: 0.25rem;
    padding: 1rem;
    border: 1px dashed #ddd;
}

.btn-outline-body {
    --bs-btn-color: var(--body-color);
    --bs-btn-border-color: var(--body-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--body-color);
    --bs-btn-hover-border-color: var(--body-color);
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--body-color);
    --bs-btn-active-border-color: var(--body-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--body-color);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--body-color);
    --bs-gradient: none;
}

.btn-white-green {
    background-color: #fff;
    color: #666;
}

.btn-white-green:hover {
    color: #fff;
    background-color: var(--text-color-price);
}

.my-img-hover img {
    transition: all 0.3s ease;
}

.my-img-hover img:hover {
    scale: 1.03;
}

/* Red border */
hr.new1 {
    border-top: 1px solid #555555;
}

hr.new1-2 {
    border-top: 2px solid #555555;
}

/* Dashed red border */
hr.new2 {
    border-top: 1px dashed #555555;
}

hr.new2-2 {
    border-top: 2px dashed #555555;
}

/* Dotted red border */
hr.new3 {
    border-top: 1px dotted #555555;
}

hr.new3-2 {
    border-top: 2px dotted #555555;
}

/* Thick red border */
hr.new4 {
    border: 1px solid #555555;
}

hr.new4-2 {
    border: 2px solid #555555;
}

/* Large rounded green border */
hr.new5 {
    border: 5px solid #555555;
    border-radius: 5px;
}

hr.new5-2 {
    border: 10px solid #555555;
    border-radius: 5px;
}

.unlist_style ul {
    list-style: none !important;
}

.bg-dark-2 {
    background-color: #f6f9fa !important;
}

.quest-cart {
    margin: auto;
    width: 100%;
    transition: all 0.3s ease;
}

.quest-cart:hover {
    width: 98%;
}

.quest-avatar img {
    min-width: 80px;
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 50%;
    border: 4px solid #c8c8c8;
}

.payment .my-check {
    font-size: 10rem;
}

.user-avatar {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border: 3px solid #eee;
    border-radius: 50%;
}

.user-avatar-d {
    width: 90px;
    height: 90px;
    object-fit: cover;
    border: 2px solid #eee;
    border-radius: 50%;
}

.contact-banner {
    width: 100%;
    height: auto;
    overflow: hidden;
    border-radius: 1rem;
}

.contact-banner img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

iframe {
    width: 100%;
    border-radius: 1rem;
}

.font-kalameh-normal {
    font-family: 'kalameh-normal';
}

.font-kalameh-bold {
    font-family: 'kalameh-bold';
}

.white-space-pre-line {
    white-space: pre-line !important;
}

/* ----------------------   Preloader Demo-19  ------------------------ https://bootsnipp.com/snippets/GaeVl */
.loader19{width:160px;height:160px;margin:20px auto;position:relative}
.loader19 .loader-inner{position:absolute;top:75%;left:100%}
.loader19 .box-2{left:2px;top:2px;-webkit-animation-name:loading-19;animation-name:loading-19}
.loader19 .box-1{width:74px;height:74px;border-radius:4px;-webkit-animation-name:loading-192;animation-name:loading-192;-webkit-animation-duration:2s;animation-duration:2s;-webkit-animation-timing-function:steps(4);animation-timing-function:steps(4)}
.loader19 .box-2{-webkit-animation-duration:.5s;animation-duration:.5s}
.box-1{position:absolute;color:#e3b23c;border:2px solid;-webkit-transform:translate(-50%,-50%) rotate(-45deg);transform:translate(-50%,-50%) rotate(-45deg);-webkit-animation-timing-function:ease-in-out;animation-timing-function:ease-in-out;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}
.box-2,.loader19 .box-1:after,.loader19 .box-1:before{position:absolute;width:32px;height:32px;border-radius:4px;background:var(--body-color)}
.loader19 .box-1:after,.loader19 .box-1:before{bottom:2px;content:""}
.loader19 .box-1:before{left:2px}
.loader19 .box-1:after{right:2px}
.box-2{-webkit-animation-timing-function:ease-in-out;animation-timing-function:ease-in-out;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}
@-webkit-keyframes loading-19{
	33%{left:2px}
	100%,67%{left:36px}
}
@keyframes loading-19{
	33%{left:2px}
	100%,67%{left:36px}
}
@-webkit-keyframes loading-192{
	to{-webkit-transform:translate(-50%,-50%) rotate(-405deg);transform:translate(-50%,-50%) rotate(-405deg)}
}
@keyframes loading-192{
	to{-webkit-transform:translate(-50%,-50%) rotate(-405deg);transform:translate(-50%,-50%) rotate(-405deg)}
}



@keyframes show-hide {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100%{
    opacity: 0;
  }
}

.text-fade {
  color: #000;
  animation: show-hide 1s ease-in-out infinite;
}

/* ----------------------teacher Page------------------------ */
.main-height-page {
    height: 850px;
}

.main-title {
    font-size: 80px;
    font-weight: 1000;
}

.teacher-page-item {
    display: flex;
    gap: .5rem;
}

.teacher-page-item .circle-i {
    width: 40px;
    height: 40px;
    position: relative;
    border-radius: 50%;
    background-color: var(--body-color);
}

.teacher-page-item .circle-i i {
    font-size: 26px;
    position: absolute;
    margin: auto;
    text-align: center;
    top: 7px;
    right: 7px;
    color: var(--body-text-color);
    transition: all 0.2s ease;
}

.teacher-page-item .circle-i:hover i {
    font-size: 28px;
    top: 6px;
    right: 6px;
}

.teacher-avatar {
    margin: auto;
    width: 70%;
    height: 600px;
    border-radius: 20rem;
    background-color: gray;
    text-align: center;
    overflow: hidden;
    position: relative;
    animation: teacher_avatar 5s linear infinite;
}

.teacher-title {
    font-size: 38px;
    padding-bottom: 15px;
    display: inline-block;
    position: relative;
}

.teacher-title::before {
    content: '';
    display: block;
    width: 150px;
    height: 25px;
    border-bottom: 8px solid var(--body-color);
    position: absolute;
    bottom: 0;
}

@keyframes teacher_avatar {
    0% {
        top: 0;
    }
    50% {
        top: 30px;
    }
    100% {
        top: 0;
    }
}

.teacher-avatar img {
    margin: auto;
    width: 100%;
    height: 600px;
    object-fit: cover;
}

.bio-teacher-avatar img {
    border-radius: 30px;
}

.teacher-bg-center {
    position: relative;
    width: 100%;
}

.teacher-bg-center::before {
    content: '';
    margin: auto;
    left: 0;
    right: 0;
    height: 100px;
    bottom: 0;
    border-radius: 100rem 100rem 0 0;
    background-color: var(--body-color);
    position: absolute;
    z-index: -1;
}

.teacher-certificate .teacher-cert-img {
    width: 100%;
    height: 275px;
    overflow: hidden;
}

/* ----------------------my heading------------------------ */
h3.heading {
    position: relative;
}

span.line {
    display: inline-block;
    background-color: var(--body-color);
    height: 5px;
    border-radius: 40px;
}

span.line.lw80 {
    width: 80px;
}

span.line.lw25 {
    width: 25px;
}

span.line.lw10 {
    width: 10px;
}

.w-10 {
    width: 10% !important;
}

.w-20 {
    width: 20% !important;
}

.w-30 {
    width: 30% !important;
}

.w-40 {
    width: 40% !important;
}

.w-60 {
    width: 60% !important;
}

.w-70 {
    width: 70% !important;
}

.w-80 {
    width: 80% !important;
}

.w-90 {
    width: 90% !important;
}

/* ----------------------my color------------------------ */
.text-bg-price {
    color: #fff !important;
    background-color: var(--text-color-price) !important;
}

.text-color-price {
    color: var(--text-color-price) !important;
}

.bg-color-price {
    color: #fff !important;
    background-color: var(--text-color-price) !important;
    transition: all 0.3s ease;
}

.bg-color-price:hover {
    opacity: 0.9;
}

.my-img-rounded img {
    border-radius: 0.5rem;
    margin: 0.5rem auto;
    object-fit: cover;
}

/* -----------------------------Flex Style-------------------------------- */
.flex-grow-1 {
    flex-grow: 1 !important;
}

.flex-grow-2 {
    flex-grow: 2 !important;
}

.flex-grow-3 {
    flex-grow: 3 !important;
}

.flex-grow-4 {
    flex-grow: 4 !important;
}

/* -----------------------------Top Menu--------------------------- */
.my-shadow-z {
    box-shadow: 0 0 15px #0000001e;
    z-index: 50;
}

.p-8rem {
    padding: 0 8rem;
}

.my-top-banner {
    height: 60px;
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    font-weight: 700;
    overflow: hidden;
}

.title-word {
    animation: color-animation 0.5s linear infinite;
}

@keyframes color-animation {
    0% {
        /*scale: 1;*/
        opacity: 0.5;
    }

    50% {
        /*scale: 1.1;*/
        opacity: 1;
    }

    100% {
        /*scale: 1;*/
        opacity: 0.5;
    }
}

.navbar ul {
    list-style: none;
}

.navbar ul li {
    position: relative;
}

.navbar ul li a {
    padding: 0.5rem 1rem !important;
    font-size: 1rem;
}

.navbar ul > li:hover > ul {
    visibility: visible;
    opacity: 1;
}

.navbar ul li ul {
    position: absolute;
    border-radius: 0.5rem;
    background-color: #eee;
    visibility: hidden;
    opacity: 0;
    min-width: 140px;
    transition: all 0.3s ease;
    z-index: 9999;
}

.navbar ul li ul li a {
    display: block;
    border-bottom: 1px solid #dddddd41;
    margin-bottom: 0.5rem;
    transition: all 0.3s ease;
}

.navbar ul > li > ul > li:hover {
    border-radius: 0.5rem;
    background-color: #ddd;
}

.navbar ul li ul li ul {
    position: absolute;
    top: 0;
    right: 100%;
    border-radius: 0.5rem;
    background-color: #eee;
    visibility: hidden;
    opacity: 0;
}

.navbar-brand {
    width: 200px;
    text-align: center;
}

.navbar-brand img {
    display: block;
    object-fit: contain;
    margin: 0 auto;
    max-height: 70px;
}

.user-basket-top-menu {
    font-size: 2rem;
}

.user-basket-top-menu .my-basket {
    position: relative;
    display: flex;
    align-items: center;
}

.user-basket-top-menu .my-basket i {
    display: flex !important;
    align-items: center;
    color: #888;
}

.user-basket-top-menu .my-basket:hover div {
    scale: 1.1;
    top: 0;
}

.user-basket-top-menu .my-basket div {
    position: absolute;
    top: -5px;
    right: 8%;
    width: 20px;
    height: 20px;
    font-size: 1.5rem;
    line-height: 22px;
    border-radius: 50%;
    background-color: var(--body-color);
    color: #fff;
    transition: all 0.3s ease;
}

.user-basket-top-menu .my-basket:hover i {
    color: var(--my-hover-color);
}

.user-basket-top-menu .my-user {
    background-color: #fff;
    border: 1px solid #ddd;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    display: flex;
    gap: 5px;
    align-items: center;
}

.user-basket-top-menu .my-user:hover span {
    color: var(--my-hover-color);
}

.user-basket-top-menu .my-user i {
    font-size: 2rem;
    display: flex !important;
    color: #888;
}

.user-basket-top-menu .my-user:hover i {
    color: var(--my-hover-color);
}

.username-top-menu {
    white-space: nowrap;
    max-width: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #666;
}

/*-------------------------Web Story---------------------*/
#my-search {
    background: #f4f5f9 url("../img/site-img/site/patterns.webp");
    text-align: center;
    border-radius: 0 0 50px 50px;
    line-height: 2;
}

.my-web-story {
    margin: 1rem auto;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.my-web-story .story-group-item {
    padding: 1rem 0;
    display: block;
    text-align: center;
    width: 150px;
}

.my-web-story .story-item {
    width: 75px;
    height: 75px;
    margin: 0 auto;
    overflow: hidden;
    background-color: #fff;
    clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

.my-web-story .story-item img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    text-align: center;
    margin: auto;
    transition: all 0.3s ease;
}

.my-web-story .story-item img:hover {
    scale: 1.1;
}

.my-web-story .story-group-item span {
    white-space: nowrap;
    max-width: 145px;
    font-size: 1.2rem;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0 auto;
}

.slick-prev::before,
.slick-next::before {
    font-family: 'slick';
    font-size: 2rem;
    line-height: 1;
    opacity: .75;
    color: #999;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/*------------------------search header section------------------*/
.header-search .my-search-border {
    border: 7px solid #00000050;
    border-radius: 5rem;
}

.header-search form {
    position: relative;
    display: grid;
}

.header-search input {
    width: 100%;
    height: 45px;
    border: none;
    border-radius: 5rem;
    padding: 0.5rem 1rem 0.5rem 4rem;
    font-size: 1.5rem;
    color: #666;
}

.header-search button i {
    position: absolute;
    padding-left: 1rem;
    top: 0;
    left: 0;
    color: #515151;
    font-size: 2rem;
    line-height: 2;
    transition: all 0.3s ease;
}

.header-search button:hover i {
    scale: 1.1;
}

.my-img-search {
    object-fit: contain;
    background-position: bottom center;
    background-repeat: no-repeat;
}

/*----------------------category index-----------------------------*/
#my-category {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}

#my-category .cat-group {
    width: 140px;
    height: 140px;
    padding: 1rem;
    text-align: center;
    /*background-color: var(--body-color);*/
    border-radius: 0.5rem;
}

#my-category .cat-group a {
    margin: auto;
}

#my-category .cat-group span {
    display: block;
    margin: auto;
    margin-top: 0.5rem;
    font-size: 1rem;
    font-weight: 700;
    white-space: nowrap;
    max-width: 110px;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #555;
    transition: all 0.3s ease;
}

#my-category .cat-group:hover span {
    color: var(--my-hover-color);
}

#my-category .cat-group .cat-item {
    width: 100px;
    height: 100px;
    background-color: #e6e6e6;
    overflow: hidden;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

#my-category .cat-group .cat-item img {
    width: 110px;
    height: 110px;
    object-fit: cover;
    margin: auto;
    transition: all 0.3s ease;
}

#my-category .cat-group:hover .cat-item img {
    scale: 1.1;
}

/* -----------------------Slider swiper----------------------- */
.offer-products .slick-prev, .offer-products .slick-next {
    top: 100px !important;
}

.swiper {
    width: 100%;
    height: 100%;
}

/* -----------------------Offer index----------------------- */
.offer-products {
    border-radius: 0 0 1rem 1rem;
    padding: 1rem;
    display: flex;
    gap: 0.2rem;
    justify-content: center;
    align-items: center;
}

.offer-products .offer-group {
    width: 180px;
    height: 200px;
    display: block;
    background-color: #fff;
    text-align: center;
    border-radius: .5rem;
}

.offer-products .offer-group .offer-item {
    display: block;
    padding-top: 1rem;
}

.offer-products .offer-group .offer-item img {
    width: 100px;
    height: 100px;
    object-fit: contain;
    margin: auto;
    text-align: center;
    border: 1px solid #eee;
    border-radius: 0.5rem;
    padding: 0.5rem;
}

.offer-title .border-offer-title {
    display: block;
    margin: auto;
    width: 200px;
    border-bottom: 1px solid #eeeeee78;
    padding-bottom: 0.3rem;
    border-radius: 20px;
}

/* -----------------------product----------------------- */
.my-product {
    width: 100%;
    display: block;
    border: none;
    overflow: hidden;
}

.my-product .product-img {
    display: block;
    width: 100%;
    max-height: 200px;
    overflow: hidden;
}

.my-product img {
    width: 100%;
    height: 200px;
    display: block;
    object-fit: cover;
    margin: auto;
    transition: all 0.3s ease;
}

.my-product img:hover {
    scale: 1.03;
}

.my-product h5 {
    width: 100%;
    display: block;
    margin-bottom: 1rem;
    line-height: 1.6;
    height: 50px;
    overflow: hidden;
}

.my-product .card-meta {
    margin-bottom: 1rem;
    padding-bottom: 0.5rem;
    border-bottom: 2px solid #eee;
}

.my-product .card-meta .right-item {
    color: #888;
    font-size: 1.2rem;
}

.my-product .card-meta .left-item {
    color: var(--my-hover-color);
    font-size: 1.2rem;
}

.my-product .product-price .off-price {
    color: orange;
    font-size: 1.2rem;
    font-family: 'tanha';
    font-weight: 700;
}

.my-product .product-price .price {
    color: var(--text-color-price);
    font-size: 1.2rem;
    font-family: 'tanha';
    font-weight: 700;
}

/* -----------------------offer label---------------------- */
.card {
    position: relative;
}

.offer-label {
    position: absolute;
    top: 0;
    left: 0;
    width: 105px;
    height: 30px;
    line-height: 30px;
    padding: 0 0.5rem;
    background-color: tomato;
    text-align: right;
    font-size: 1.25rem;
    border-radius: 0 0 20px 0;
    color: #fff;
    transition: all 0.3s ease;
    z-index: 4;
}

/* -----------------------index teacher---------------------- */
.index-teacher-img {
    display: block;
    width: 150px;
    height: 150px;
    text-align: center;
    margin: auto;
    background-color: #eee;
    clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

.index-teacher-title {
    color: #666;
    transition: all 0.3s ease;
}

.index-teacher-title:hover {
    color: var(--my-hover-color);
}

.index-teacher .index-teacher-img img {
    transition: all 0.3s ease;
}

.index-teacher:hover img {
    scale: 1.05;
}

/* -----------------------blog----------------------- */
#blog-index a {
    color: #666;
}

#blog-index a:hover {
    color: var(--my-hover-color);
}

#blog-index .index-blog-img {
    overflow: hidden;
}

#blog-index .card img {
    transition: all 0.3s ease;
}

#blog-index .card:hover img {
    scale: 1.03;
}

/* -----------------------comment index----------------------- */
.comment-index {
    width: 100%;
    padding: 1.5rem;
    padding-bottom: 0;
    text-align: center;
    display: block;
}

.comment-index img {
    min-width: 100px;
    min-height: 100px;
    width: 100px;
    height: 100px;
    object-fit: cover;
    margin: auto;
    background-color: #eee;
    clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

#comment-index .card-text {
    width: 100%;
    height: 165px;
    overflow: auto;
}

/* -----------------------footer----------------------- */
#my-footer {
    background: #212529 url('../img/site-img/footer/1.webp');
    background-size: contain;
    background-repeat: round;
}

#my-footer .footer-title {
    color: #aaa;
    font-weight: 700;
    position: relative;
    margin-bottom: 1.2rem;
}

.border-b-dashed {
    border-bottom: 1px dashed #666 !important;
}

#my-footer ul {
    list-style: none;
    line-height: 2;
}

#my-footer ul li {
    position: relative;
}

#my-footer ul li::before {
    font-family: 'bootstrap-icons';
    content: '\F12C';
    font-size: 1.25rem;
    color: #999;
    position: absolute;
    right: 0;
    top: 0;
}

#my-footer ul li a {
    display: block;
    padding-right: 1.5rem;
    padding-top: 0.1rem;
}

#my-footer ul li:hover a {
    padding-right: 2rem;
}

.footer-logo img {
    width: 200px;
    object-fit: contain;
    margin: auto;
    padding-bottom: 1rem;
}

/* ----------------------- single product ----------------------- */
#my-content {
    font-size: 1.3rem;
    color: #666;
    line-height: 2.6;
}

.content-text {
    margin: 2rem auto;
    padding: 1rem;
}

.content-text img {
    border-radius: 0.5rem;
    margin: 1rem auto;
}

.content-text blockquote {
    display: block;
    border-right: 4px solid grey;
    border-left: 4px solid grey;
    padding: 0 1rem;
    border-radius: 1rem;
    text-align: justify;
    box-shadow: 0 0 5px #00000020;
}

.my-tags a {
    background-color: #f5f5f5;
    padding: 0.5rem;
    border-radius: 0.5rem;
    display: inline-block;
    margin-bottom: 0.25rem;
    transition: all 0.3s ease;
}

.my-tags span::before {
    content: '#';
}

.accordion-button::after {
    flex-shrink: 1;
    margin-right: 1rem !important;
}

.pre-needed li {
    color: #777;
}

.pre-li-number li::before {
    counter-increment: section;
    content: '' counter(section) ' ';
    border: 1px solid var(--text-color-price);
    display: inline-block;
    width: 25px;
    height: 25px;
    line-height: 25px;
    border-radius: 50%;
    color: var(--text-color-price);
    vertical-align: middle;
    text-align: center;
    margin-left: 0.5rem;
}

.pre-li-number li::marker {
    content: '';
}

.video-group .my-num::after {
    counter-increment: my-number;
    content: '' counter(my-number) '';
    display: inline-block;
    position: absolute;
    right: -0.8rem;
    top: 1.8rem;
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    text-align: center;
    border-radius: 50%;
    border: 1px solid var(--text-color-price);
    color: var(--text-color-price);
    background-color: #fff;
}

.info-product-top button {
    width: 90%;
}

.top-info-product h5 {
    font-size: 1.4rem;
    font-weight: 700;
}

.top-info-product .top-price {
    font-size: 1.25rem;
    font-weight: 700;
}

.bg-body-color {
    background-color: var(--body-color) !important;
    color: var(--body-text-color) !important;
    border-color: var(--body-text-color) !important;
}

.text-body-color {
    color: var(--body-color) !important;
}

.input-color {
    color: #191919 !important;
}

/* ------------------------widget----------------------- */
.my-widget {
    line-height: 2;
}

/* -----------------------archive----------------------- */
.top-archive-widget img {
    min-height: 200px;
}

.pagination {
    background-color: #f4f5f9;
    width: fit-content;
    padding: 0 2rem;
    z-index: 2;
}

.my-line-v::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #ddd;
    z-index: 1;
}

/* ----------------------- Article ----------------------- */
.blog-index-search {
    z-index: 2;
    width: 100%;
    margin: auto;
    border: 6px solid var(--body-color);
    border-radius: 5rem;
}

.blog-item {
    margin: auto;
    background-color: #fff;
    border-radius: 1rem;
}

.blog-item .blog-item-img {
    width: 100%;
    height: 180px;
    overflow: hidden;
    text-align: center;
    border-radius: 0.25rem;
}

.blog-item .blog-item-img img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    margin: auto;
    border-radius: 0.25rem;
}

.blog-item .blog-item-img {
    position: relative;
    text-align: center;
}

.blog-item .blog-text {
    padding: 0 1rem;
    width: 100%;
}

.blog-item .author-blog {
    background-color: rgba(255, 255, 255, 0.62);
    padding: 0.5rem;
    border-radius: 3rem;
    width: fit-content;
    position: absolute;
    bottom: 0.5rem;
    left: 0;
    right: 0;
    margin: auto;
}

.blog-item .author-blog img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    object-fit: cover;
}

.blog-item .author-blog span {
    color: #000;
    font-weight: bolder;
    margin-left: 0.5rem;
}

.blog-item .blog-excerpt {
    width: 100%;
    height: 80px;
    overflow: hidden;
}

.article-detail-img {
    width: 100%;
    height: auto;
    border-radius: 0.5rem;
    object-fit: contain;
}

.article-detail-search {
    position: absolute;
    left: 0;
    width: 50px;
    height: 47px;
    border: none;
}

#article-detail-search {
    padding-left: 5rem;
}

.article-img-slider {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    height: 200px;
}

.article-img-slider img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.article-img-slider .slider-text-article {
    position: absolute;
    width: 250px;
    padding: 1rem;
    margin: auto;
    align-self: center;
    justify-self: center;
    border-radius: 0.5rem;
    left: 0;
    right: 0;
    background-color: #ffffff50;
    color: #000;
}

/* ----------------------- comments ----------------------- */
.comments .avatar-comment {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    text-align: center;
    overflow: hidden;
}

.comments .avatar-comment img {
    object-fit: cover;
    scale: 1;
    transition: all 0.3s ease;
}

#comments .avatar-comment:hover img {
    scale: 1.1;
}

/* -----------------------Dashboard----------------------- */
.dashboard-item {
    padding: 1rem;
    margin: 0.5rem auto;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    border-radius: 1rem;
    transition: all 0.2s ease;
    color: #202529BF !important;
}

.dashboard-item:hover {
    background-color: #eee;
}

.dashboard-item.active {
    background-color: #ab7f5a;
    color: #fff !important;
}

.dashboard-item span {
    transition: all 0.3s ease;
    margin-right: 0;
    font-size: 1.6rem;
}

.dashboard-item:hover span {
    margin-right: 0.3rem;
}

.dashboard-item .circle-i {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    padding: 1rem;
    background-color: var(--body-color);
    text-align: center;
}

.dashboard-item .circle-i i {
    font-size: 2rem;
    margin: auto;
    right: 0;
    left: 0;
    color: #fff;
}

/* ----------------------- loading border----------------------- */
.loading-border {
    width: 100%;
    height: 10px;
    border-radius: 50px;
    position: relative;
    overflow: hidden;
}

.loading-border:before {
    content: '';
    position: absolute;
    left: -50px;
    width: 25%;
    height: 100%;
    border-radius: 50px;
    background-color: var(--body-color);
    animation: move 0.8s infinite linear;
}

@keyframes move {
    0% {
        left: -25%;
    }
    100% {
        left: 100%;
    }
}

/* -----------------------single post----------------------- */
.sidebar-blog-post img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 1rem;
}

.my-right-hover .my-right-text-hover {
    padding-right: 0;
    transition: all 0.3s ease;
}

.my-right-hover:hover .my-right-text-hover {
    padding-right: 0.5rem;
}

/*==========================================================*/
.ul-r-1rem ul {
    padding-right: 2rem !important;
}

.alert-error {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

/* ----------------------- Media ----------------------- */
@media (max-width: 1400px) {
}

@media (max-width: 1200px) {
    .p-8rem {
        padding: 0 4rem;
    }
}

@media (max-width: 992px) {
    .p-8rem {
        padding: 0 3rem;
    }

    .navbar ul li ul {
        position: relative;
        margin-right: 1.5rem;
        border-radius: 0.5rem;
        background-color: inherit;
        visibility: visible;
        opacity: 1;
        min-width: 140px;
        transition: all 0.3s ease;
        z-index: 9999;
    }

    .dashboard-item {
        display: block;
        text-align: center;
        margin: auto 1rem;
        background-color: antiquewhite;
    }

    .dashboard-item .circle-i {
        width: 40px;
        height: 40px;
        padding: 0.5rem;
        margin: auto;
    }

    .dashboard-item .circle-i i {
        font-size: 1.8rem;
        top: 3px;
    }

    .dashboard-item span {
        font-size: 1.25rem;
        flex-wrap: wrap;
    }
}

@media (max-width: 769px) {
    .p-8rem {
        padding: 0 2rem;
    }

    .info-product-top button {
        width: 90%;
    }

    .top-info-product h5 {
        font-size: 1.5rem;
        font-weight: normal;
    }

    .top-info-product .top-price {
        font-size: 1.25rem;
        font-weight: 700;
        margin-bottom: 0.5rem;
    }

    .my-top-banner {
        font-size: 1.25rem;
    }

    .blog-index-search {
        width: 90%;
    }

}

@media (max-width: 577px) {
    .p-8rem {
        padding: 1rem;
    }

    .my-top-banner {
        font-size: 1rem;
    }

    .navbar-brand {
        width: 130px;
        text-align: center;
    }
}